# -*- coding: utf-8 -*-
# Generated by Django 1.10.3 on 2017-01-10 20:11
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
        ('microblog', '0002_like_postcomment'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='postcomment',
            name='post',
        ),
        migrations.AddField(
            model_name='postcomment',
            name='parent_id',
            field=models.PositiveIntegerField(default=1),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='postcomment',
            name='parent_type',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='contenttypes.ContentType'),
            preserve_default=False,
        ),
    ]
